ActiveAdmin.register  JamRuby::MachineFingerprint, :as => 'Machine Fingerprints' do

  menu :label => 'Machine Fingerprints', :parent => 'JamTracks'

  config.sort_order = 'created_at desc'
  config.batch_actions = false

  index do
    column :user
    column 'Hash' do |fp|
      fp.fingerprint
    end
    column :remote_ip
    column 'Detail' do |fp|
      detail = fp.detail
      if detail
        detail.to_s
      end
    end
    column :created_at
  end
end